#ifndef _NONLINEAROPTIONS_H_
#define _NONLINEAROPTIONS_H_
class ReginnOptions {
public:
    int regularizationStrategy = 0;
    int maxInnerLoopSteps = 10;
    double gamma = 0.9;
  double thetaMax = 0.9999999999;
  double thetaInitial = 0.4;
    double damping = 1.0;

    ReginnOptions() = delete;

    ReginnOptions(const std::string &name) {
        Config::Get("FWI_MaxInnerLoopSteps_" + name, maxInnerLoopSteps);
        Config::Get("FWI_Gamma_" + name, gamma);
        Config::Get("FWI_Damping_" + name, damping);
        Config::Get("FWI_ThetaMax_" + name, thetaMax);
        Config::Get("FWI_ThetaInitial_" + name, thetaInitial);
        Config::Get("FWI_RegularizationStrategy_" + name, regularizationStrategy);
    }
};

#endif
