//
// Created by cr on 03/03/23.
//

#ifndef FWI_FWITESTSTI_HPP
#define FWI_FWITESTSTI_HPP

#include <string>
#include <map>
using ConfigMap = std::map<std::string,std::string>;
const ConfigMap FWITestSTI{
    {"ConfigVerbose",                  "2"},
    {"ForwardSolver",                  " VADGTS"},
    {"Distribution",                   " RCB"},
    {"Model",                          " FWIInverse_DGTS"},
    {"Mesh",                           " SeismogramGrid_test"},
    {"Problem",                        " VAcousticWaveC2Benchmark"},
     {"Monoparam",                      " "},
    {"ReceiverWaypoints",           " 2"},
    {"ReceiverWaypoint0",           " 1350.0, 170.0"},
    {"ReceiverWaypoint1",           " 1350.0, 1930.0"},
    {"ReceiverCount0",              " 89"},
    {"UseSparseMatrix",                "1"},
    {"Qfactor",                        "100"},
    {"SignalName",                     "RickerDerivative"},
    {"SignalDelay",                    "0.00"},
    {"SignalCutoff",                   "0.8"},
    {"SignalFreq",                     "25"},
    {"numL",                           " 0"},
    {"FWISourceWaypoints",             "2"},
    {"FWISourceWaypoint0",             "750,1000"},
    {"FWISourceWaypoint1",             "750,1000"},
    {"FWISourceCount0",                "1"},
    {"MeasureComp",                    " 0"},
    {"source_component",               " 2"},
    {"parametrization",                " taup_positive"},
    {"size_perturb", "0"},
    {"T",                              "0.5"},
    {"dt",                             "0.0005"},
    {"deg",                            "3"},
    {"level",                         "2"},
    {"TimeVerbose",                    " 1"},
    {"rkorder",                        "1002"},
    {"Keps",                           " 1e-07"},
    {"source_factor",                  " 24257425742.5742"},
    {"LinearSolver",                   " LS"},
    {"LinearVerbose",                  " -1"},
    {"LinearSteps",                    "100"},
};
class FWITestSTI {

};


#endif //FWI_FWITESTSTI_HPP
