//
// Created by cr on 19.11.22.
//

#ifndef FWI_VECTORFILLFUNCTIONS_HPP
#define FWI_VECTORFILLFUNCTIONS_HPP

#include "FWIAbstractInterfaceDGTSVA.hpp"
#include "Problems/FWIAcousticInversionProb.hpp"
#include "Vector.hpp"

void ReparametrizeMaterialVector(const Vector &Mat, const FWIVAcousticInversionProb &prob, Vector &MatRepara);

void FillCellFromProblem(const cell &c, const FWIVAcousticInversionProb &prob, Vector &M);

void FillVectorFromProblem(const FWIVAcousticInversionProb &prob, Vector &M);

#endif  // FWI_VECTORFILLFUNCTIONS_HPP
